Make comments / feedback directly on artefacts on the page

Bug #1037531 reported by Kristina Hoeppner on 2012-08-16
14
This bug affects 3 people
Affects Status Importance Assigned to Milestone
Mahara
Wishlist
Robert Lyon

Bug Description

The artefact metadata page which is usually accessible by clicking on the artefact is well hidden. It would be good if it were possible to directly comment on an artefact from a (portfolio) page through a little pop-up. A counter next to / below the artefact indicates how many comments the artefact has. When you hover over that number you can read the comments in a "bubble" without having to go to the details page of the artefact. You could still click on the artefact and view the details page and give longer feedback at the bottom of the page and also upload a file there. But for quick feedback, the possibility to leave it directly on the artefact on the page would be handy.

Gordon McLeod (g-mcleod1) wrote :

Interesting idea - and would allow feedback to be kept on the page that the artefact is contextualised for, rather than having to leave the page. I came across this scenario recently when someone commented on one of my blog posts - rather than the comment being displayed on the page along with the blog you have to click on the link underneath to view the comment (which jumps to the blog post). It would be nice to be able to view the feedback on the dispaly page (perhaps with an on/off toggle) - not just for blogs, but also for any other artefacts such as video.

Geoff: exactly. Seeing that you have comments is fairly good for journal entries as you have the "Comments" right at the bottom of each post. It is more difficult for other artefacts and most often not visible to others than the author of the artefact.

From the post on https://bugs.launchpad.net/mahara/+bug/1036593:
At the moment I regard the artefact feedback given directly on the page for an artefact as the same feedback that you could provide if you go to the artefact page itself. It's just pretty much a quick view to avoid clicks and to make the feedback (at least short feedback / the latest feedback) more visible.

I should add a couple of notes for my quick mock-up:

1. You would only see the latest feedback (say up to 5) and then have a link which would take you to the artefact page to see all feedback.
2. Attachments aren't displayed, but just indicated and can be clicked.
3. Further feedback can be reached via the "read more" link.
4. I thought to cut very long feedback and provide a link to the rest to avoid much scrolling.
5. Your toggling brings up an idea: It could be a setting that a user can make for any pages (his own or others) that he views whether to show the feedback preview or not. The comments count would always be visible though.
6. Feedback ratings will of course also be displayed.

Gordon McLeod (g-mcleod1) wrote :

Hi Kristina,
Anything that reduces the number of clicks for users gets my vote!
Your summary points seems perfectly reasonable. #3 makes it user choice to look deeper, and regarding #4, News Forums on Moodle do exactly this - admin can set (eg 300 characters) as a short post, anything longer just displays first paragraph or so with a "read more" link to expand the comment. I'm a big fan of toggling & context-based visibility of anything that user doesn't need all of the time - as long as users know how to switch it can make a big difference for clutter on a busy page. I actually edited the theme for our Moodle site so that editing buttons only appear for the artefact you're rolling over with the mouse - so teachers see one set of buttons related to the object they are pointing at rather than 80+ editing buttons on a screen!
Regards, Gordon.

There are probably a number of places in Mahara where we could cut down on clicks, but we should keep accessibility in mind for future changes (haven't had someone go over Mahara yet, but would like to) and not just make it pretty. Ideally, both. :-)

Changed in mahara:
status: New → Triaged

As with Bug #1034382 , navigational confusion can arise when users click on a block title and end up look at a page version of the block.

If it is an busy employer looking at an employability eportfolio that can be a bad thing.

Best if we can allow the user to switch this capability on/off or make the default off at a global level, then turn each block/artefact on or off, depending on need.

Added here at Krisina's suggestion. I think this is very important, because it's already frustrating my learners. I hope it's easy to fix.

Further to previous, my biggest pain point on this is Navigation blocks. I can't see any purpose in making the title of the block link to a page featuring on the the navigation block as an "artefact". If we could just switch it off for this, it would remove 95% of my problem.

tags: added: comments

We've discussed feedback and comments also in the 29th Mahara dev meeting: http://meetbot.mahara.org/mahara-dev/2013/mahara-dev.2013-12-05-08.01.log.html#l-422

A new wishlist item was reported at bug #1306373 which is similar.

Francine Glazer (fglazer) wrote :

The mockup you've posted looks very useful, Kristina -- especially so given that attachments would be linked from the pop-up, and that there's a "see more" link after 5 items are displayed.

We are using mahara for portfolios that go through several layers of review, and being able to indicate via empty text boxes where a comment should be posted will make our pages much more organized and easier for readers to navigate.

Fran

Also see https://mahara.org/interaction/forum/topic.php?id=6362 in case others besides Fran post there.

Don: Mahara 1.10 will not have block titles linked anymore, but a small icon next to them so you can get to the artefact page.

Robert Lyon (robertl-9) on 2014-08-19
Changed in mahara:
assignee: nobody → Robert Lyon (robertl-9)
milestone: none → 1.11.0
status: Triaged → In Progress
Aaron Wells (u-aaronw) wrote :

There are a ton of patches for this bug. They're tagged with the "artefactfeedbackonview" topic: https://reviews.mahara.org/#/q/project:mahara+branch:master+topic:artefactfeedbackonview,n,z

Reviewed: https://reviews.mahara.org/3633
Committed: http://gitorious.org/mahara/mahara/commit/e02718228d1b1699ad924e3183713d621ad724d2
Submitter: Robert Lyon (<email address hidden>)
Branch: master

commit e02718228d1b1699ad924e3183713d621ad724d2
Author: Robert Lyon <email address hidden>
Date: Thu Aug 14 10:50:47 2014 +1200

Altering how feedback is styled (Bug #1037531)

Now that we want to show multiple feedbacks on the view page we need
to switch the styles off the id and onto a class

Change-Id: I0e9c54909dbc37132606a01b4cb104612efbc827
Signed-off-by: Robert Lyon <email address hidden>

Mahara Bot (dev-mahara) wrote :

Reviewed: https://reviews.mahara.org/3634
Committed: http://gitorious.org/mahara/mahara/commit/535c66d4754bb3d7f9d4b5593f25fea735b661fb
Submitter: Robert Lyon (<email address hidden>)
Branch: master

commit 535c66d4754bb3d7f9d4b5593f25fea735b661fb
Author: Robert Lyon <email address hidden>
Date: Thu Aug 14 11:00:13 2014 +1200

Altering how get_comments() works (Bug #1037531)

As I'm adding in some new options and I notice that Bug #1326425 will
also be adding options to get_comments so I thought it would be useful
to make a default opbject of variables that one can call and alter
with specific variables where needed rather than having to work out
where in the function call list things need to go as that list would
grow up to 10 options.

Change-Id: I7111559c4d12a8de128b9526930729728a36555e
Signed-off-by: Robert Lyon <email address hidden>

Mahara Bot (dev-mahara) wrote :

Reviewed: https://reviews.mahara.org/3635
Committed: http://gitorious.org/mahara/mahara/commit/b7a06a40d4a7f9d07180f182357c6eff91f645ec
Submitter: Robert Lyon (<email address hidden>)
Branch: master

commit b7a06a40d4a7f9d07180f182357c6eff91f645ec
Author: Robert Lyon <email address hidden>
Date: Thu Aug 14 11:06:11 2014 +1200

Adding ability to hide the edit/delete buttons (Bug #1037531)

Currently we are only trying to get the artefact comment list to show
as a 'read only' situation. Any editing/adding/deleting to be done on
the artefact/artefact.php page

Change-Id: I366cc181d9c5c217173842258a02fa814c7279bd
Signed-off-by: Robert Lyon <email address hidden>

Mahara Bot (dev-mahara) wrote :

Reviewed: https://reviews.mahara.org/3636
Committed: http://gitorious.org/mahara/mahara/commit/e03327b0f68d6c7bc40cd04cfed441f42b802ba3
Submitter: Robert Lyon (<email address hidden>)
Branch: master

commit e03327b0f68d6c7bc40cd04cfed441f42b802ba3
Author: Robert Lyon <email address hidden>
Date: Thu Aug 14 15:18:28 2014 +1200

Adjusting the textbox so it can show/hide comments (Bug #1037531)

The comments will be displayed (or hidden) below the block by clicking
on the 'Comments (x)' link. There is also a 'close' link at the bottom
of the comment list as well to close them.

Change-Id: Ie4328872d861879975f6a6d86c8832892b8a37dd
Signed-off-by: Robert Lyon <email address hidden>

Mahara Bot (dev-mahara) wrote :

Reviewed: https://reviews.mahara.org/3637
Committed: http://gitorious.org/mahara/mahara/commit/f95dc9b44c897bfa113b6b551a36687691e3ec1f
Submitter: Robert Lyon (<email address hidden>)
Branch: master

commit f95dc9b44c897bfa113b6b551a36687691e3ec1f
Author: Robert Lyon <email address hidden>
Date: Thu Aug 14 15:23:35 2014 +1200

Changing the image block to show hide comments (Bug #1037531)

- similar to the changes done for textbox

Change-Id: I7419a50b6790d11ee5e4d48b2d1bbd2b134f2126
Signed-off-by: Robert Lyon <email address hidden>

Mahara Bot (dev-mahara) wrote :

Reviewed: https://reviews.mahara.org/3638
Committed: http://gitorious.org/mahara/mahara/commit/66a0a7ca60010ac4a6f0712847f91edbae706029
Submitter: Robert Lyon (<email address hidden>)
Branch: master

commit 66a0a7ca60010ac4a6f0712847f91edbae706029
Author: Robert Lyon <email address hidden>
Date: Fri Aug 15 11:12:58 2014 +1200

Adding comment display to HTML artefact (Bug #1037531)

Can use safe in template as the html has been thru clean_html() before
being sent to template.

Change-Id: Idbcee9b943a394c32ce762b54c8cdb61f404b121
Signed-off-by: Robert Lyon <email address hidden>

Mahara Bot (dev-mahara) wrote :

Reviewed: https://reviews.mahara.org/3639
Committed: http://gitorious.org/mahara/mahara/commit/318c705150fe97834d6e838db93a8d293d4e2661
Submitter: Robert Lyon (<email address hidden>)
Branch: master

commit 318c705150fe97834d6e838db93a8d293d4e2661
Author: Robert Lyon <email address hidden>
Date: Fri Aug 15 11:25:28 2014 +1200

Adding comment display to folder artefact (Bug #1037531)

Change-Id: I2ca1392ca92c248ce1c752cda640b2ce39e89367
Signed-off-by: Robert Lyon <email address hidden>

Mahara Bot (dev-mahara) wrote :

Reviewed: https://reviews.mahara.org/3640
Committed: http://gitorious.org/mahara/mahara/commit/25b4f5f15fa9d320e27545f0103fef5ba2af12f7
Submitter: Robert Lyon (<email address hidden>)
Branch: master

commit 25b4f5f15fa9d320e27545f0103fef5ba2af12f7
Author: Robert Lyon <email address hidden>
Date: Fri Aug 15 12:52:22 2014 +1200

Adding comment display to pdf artefact (Bug #1037531)

Change-Id: I85dd598e7cce09ec3fd3edaa6e6c946008cc81c8
Signed-off-by: Robert Lyon <email address hidden>

Mahara Bot (dev-mahara) wrote :

Reviewed: https://reviews.mahara.org/3641
Committed: http://gitorious.org/mahara/mahara/commit/5d1f651152d1e97186114e52ef19ddbbcacac8b8
Submitter: Robert Lyon (<email address hidden>)
Branch: master

commit 5d1f651152d1e97186114e52ef19ddbbcacac8b8
Author: Robert Lyon <email address hidden>
Date: Fri Aug 15 13:04:29 2014 +1200

Adding comment display to embedded media artefact (Bug #1037531)

Change-Id: I50a5cd56ca87b9625dcf59462db822c222fc0a24
Signed-off-by: Robert Lyon <email address hidden>

Mahara Bot (dev-mahara) wrote :

Reviewed: https://reviews.mahara.org/3642
Committed: http://gitorious.org/mahara/mahara/commit/34025e76e9c42a4b1f373a2558a5e80d304b7f95
Submitter: Robert Lyon (<email address hidden>)
Branch: master

commit 34025e76e9c42a4b1f373a2558a5e80d304b7f95
Author: Robert Lyon <email address hidden>
Date: Fri Aug 15 15:26:29 2014 +1200

Adding comment display to image gallery artefact (Bug #1037531)

This is only for the displaying of a folder as a gallery
in either the thumbs, square thumbs, or slideshow.

The allow comments is based on the allowing the folder to have
comments so this means any folder comments will display whether they
have been added following the link in gallery block or the folder
block as both end up at the same artefact on artefact/artefact.php page

Change-Id: I787a730861823ef3f731fb5209bf3470b00a7ed3
Signed-off-by: Robert Lyon <email address hidden>

Mahara Bot (dev-mahara) wrote :

Reviewed: https://reviews.mahara.org/3643
Committed: http://gitorious.org/mahara/mahara/commit/e30c2b8baacc3c0c4fe522334104e8dd81f81cd6
Submitter: Robert Lyon (<email address hidden>)
Branch: master

commit e30c2b8baacc3c0c4fe522334104e8dd81f81cd6
Author: Robert Lyon <email address hidden>
Date: Mon Aug 18 08:35:27 2014 +1200

Altering comment display on blogpost artefact (Bug #1037531)

Getting the rendering of the blogpost comment count to be done by the
block instance in a similar fashion as the other artefact blocks.

Change-Id: I67805ac33a9850c1fded17b32873e5ad90c7489f
Signed-off-by: Robert Lyon <email address hidden>

Mahara Bot (dev-mahara) wrote :

Reviewed: https://reviews.mahara.org/3644
Committed: http://gitorious.org/mahara/mahara/commit/4fc7736e7f8294143e03a0e9cedf43832b1eaae7
Submitter: Robert Lyon (<email address hidden>)
Branch: master

commit 4fc7736e7f8294143e03a0e9cedf43832b1eaae7
Author: Robert Lyon <email address hidden>
Date: Mon Aug 18 09:32:07 2014 +1200

Allowing each blogpost in blog block to show comments (Bug #1037531)

To handle the fact that blog blocks have more than one blogpost and
therefore more than one comment link I've passed the artefact id and
block id in together and appended a '0'
to the front of the id so that the artefact id + block id does not
clash with another block of the same id.

Change-Id: Iddd4dab7afe70e8926a8556cdb55ea8d4dceda06
Signed-off-by: Robert Lyon <email address hidden>

Mahara Bot (dev-mahara) wrote :

Reviewed: https://reviews.mahara.org/3645
Committed: http://gitorious.org/mahara/mahara/commit/4953a54a8835d9bce5303a18023879e38140387f
Submitter: Robert Lyon (<email address hidden>)
Branch: master

commit 4953a54a8835d9bce5303a18023879e38140387f
Author: Robert Lyon <email address hidden>
Date: Mon Aug 18 10:24:16 2014 +1200

Allowing each blogpost in taggedblog block to show comments (Bug #1037531)

If the taggedblog block is set to display full entries then comments
also show

Change-Id: Iea4f6c3df3f61d0b58e8f7b0b06c1fb3713fedd8
Signed-off-by: Robert Lyon <email address hidden>

Mahara Bot (dev-mahara) wrote :

Reviewed: https://reviews.mahara.org/3646
Committed: http://gitorious.org/mahara/mahara/commit/70c4944a6918ea89031c425ebbce67ef8b4b1586
Submitter: Robert Lyon (<email address hidden>)
Branch: master

commit 70c4944a6918ea89031c425ebbce67ef8b4b1586
Author: Robert Lyon <email address hidden>
Date: Mon Aug 18 12:51:09 2014 +1200

Adding the comment sort order option to institution (Bug #1037531)

This allows for artefact comments on the view page to be ordered by
either 'earliest' or 'latest'

Change-Id: I50f2b2091618109be1579a53308a2bb169a199f0
Signed-off-by: Robert Lyon <email address hidden>

Mahara Bot (dev-mahara) wrote :

Reviewed: https://reviews.mahara.org/3647
Committed: http://gitorious.org/mahara/mahara/commit/c3e794c25a4a373d4e2970898c9b9fc9369356ff
Submitter: Robert Lyon (<email address hidden>)
Branch: master

commit c3e794c25a4a373d4e2970898c9b9fc9369356ff
Author: Robert Lyon <email address hidden>
Date: Thu Aug 21 15:53:33 2014 +1200

Fetching / passing the institution comment sort order (Bug #1037531)

Getting the user's institution comment sort order to sort the comments
for the artefacts on the view page. So that the expand out comment
areas are sorted either earliest -> latest or visa versa.

Change-Id: I13b37b0a42c818ccc21147e4a0469015a020dd80
Signed-off-by: Robert Lyon <email address hidden>

Mahara Bot (dev-mahara) wrote :

Reviewed: https://reviews.mahara.org/3727
Committed: http://gitorious.org/mahara/mahara/commit/ec9213c9ea556f6bf8f247f4d2eb4e9c618650b8
Submitter: Robert Lyon (<email address hidden>)
Branch: master

commit ec9213c9ea556f6bf8f247f4d2eb4e9c618650b8
Author: Robert Lyon <email address hidden>
Date: Fri Sep 26 11:31:09 2014 +1200

adjusting the styles for the comment box (Bug #1037531)

Change-Id: I408ae6c39ab05eefb8348836a6b85ee80ad8825c
Signed-off-by: Robert Lyon <email address hidden>

Robert Lyon (robertl-9) on 2014-11-19
Changed in mahara:
status: In Progress → Fix Committed
tags: added: nominatedfeature
Robert Lyon (robertl-9) on 2015-04-17
Changed in mahara:
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers